# @author Khang Le

require 'spec_helper'

describe RailsRunSignUp do
  session = RailsRunSignUp::Session.new(ENV['RSU_API_KEY'],ENV['RSU_API_SECRET'],ENV['RSU_ACCESS_TOKEN'],ENV['RSU_ACCESS_SECRET'], ENV['RSU_OAUTH_TOKEN'], ENV['RSU_OAUTH_SECRET'])
  
  it "should create oauth session" do
    session.should_not be_nil
    session.access_token.should_not be_nil
  end
  
  it "should retrieve race list" do
    rails_sign_up = RailsRunSignUp::Races.new(session)
    races = rails_sign_up.get_races :only_parter_races => "T"
    races.should_not be_nil
  end
  
  it "should retrieve a single race" do
    rails_sign_up = RailsRunSignUp::Races.new(session)
    race = rails_sign_up.get_race :race_id => "3422"
    race.should_not be_nil
  end
  
  it "should retrieve race list from search" do
    rails_sign_up = RailsRunSignUp::Races.new(session)
    opts = { :events => "T", :name => "Run+Til" }
    races = rails_sign_up.get_races opts
    races.should_not be_nil
  end
  
  it "should retrieve participants from race" do
    rails_sign_up = RailsRunSignUp::Users.new(session)
    opts = { :race_id => "3692", :event_id => "9693" }
    users = rails_sign_up.get_participants opts
    users.should_not be_nil
  end
end
